﻿using System;
using System.Configuration;
using System.Xml;

namespace Harold.Net.Web.Mvc.Extension
{
    [Serializable]
    public class ActionSection : ConfigurationSection
    {
        public const string ActionNamePropertyName = "name";
        public const string ActionTypePropertyName = "type";
        public const string ParamsTagName = "params";

        [ConfigurationProperty(ActionNamePropertyName, IsRequired = true)]
        public string Name
        {
            get
            {
                return this[ActionNamePropertyName] as string;
            }
        }

        [ConfigurationProperty(ParamsTagName, IsDefaultCollection = false)]
        public ParamCollection Params
        {
            get
            {
                ParamCollection obj = base[ParamsTagName] as ParamCollection;
                return obj;
            }
        }
    }
}
