﻿using System;
using System.Configuration;
using System.Xml;

namespace Harold.Net.Web.Mvc.Extension
{
    [Serializable]
    public class ControllerSection : ConfigurationSection
    {
        public const string ControllerNamePropertyName = "name";
        public const string ControllerTypePropertyName = "type";
        public const string ActionsTagName = "actions";

        [ConfigurationProperty(ControllerNamePropertyName, IsRequired = true)]
        public string Name
        {
            get
            {
                return this[ControllerNamePropertyName] as string;
            }
        }

        [ConfigurationProperty(ControllerTypePropertyName, IsRequired = false)]
        public string Type
        {
            get
            {
                return this[ControllerTypePropertyName] as string;
            }
        }

        [ConfigurationProperty(ActionsTagName, IsDefaultCollection = true)]
        public ActionCollection Actions
        {
            get
            {
                ActionCollection obj = base[ActionsTagName] as ActionCollection;
                return obj;
            }
        }
    }
}
