﻿using System;
using System.Configuration;
using System.Xml;

using Microsoft.Practices.EnterpriseLibrary.Validation.Configuration;

namespace Harold.Net.Web.Mvc.Extension
{
    [Serializable]
    public class ModelSection : ConfigurationSection
    {
        public const string ModelNamePropertyName = "name";
        public const string ModelTypePropertyName = "type";
        public const string ModelReferencePropertyName = "ref";
        public const string PropertiesTagName = "properties";
        public const string ValidatorsTagName = "validators";

        [ConfigurationProperty(ModelNamePropertyName, IsRequired = true)]
        public string Name
        {
            get
            {
                return this[ModelNamePropertyName] as string;
            }
        }

        [ConfigurationProperty(ModelTypePropertyName, IsRequired = false)]
        public string Type
        {
            get
            {
                return this[ModelTypePropertyName] as string;
            }
        }

        [ConfigurationProperty(ModelReferencePropertyName, IsRequired = false)]
        public string Reference
        {
            get
            {
                return this[ModelReferencePropertyName] as string;
            }
        }

        [ConfigurationProperty(PropertiesTagName, IsDefaultCollection = true)]
        public PropertyCollection PropertyArray
        {
            get
            {
                PropertyCollection obj = base[PropertiesTagName] as PropertyCollection;
                return obj;
            }
        }

        [ConfigurationProperty(ValidatorsTagName, IsDefaultCollection = false)]
        public ValidatorDataCollection Validators
        {
            get
            {
                ValidatorDataCollection obj = base[ValidatorsTagName] as ValidatorDataCollection;
                return obj;
            }            
        }
    }
}
