﻿//===========================================================================
// NameSpace: Bleum.ISMS.Common.ScheduledTasks
// FileName : TaskCollection.cs
// Desc     : 
//===========================================================================
// Copyright (C) 2009 Bleum Inc. All Rights Reserved
//===========================================================================
// Author               :  Harold Shen
// Create date          :  10/15/2009
// Latest updated date  :  
//===========================================================================

using System;
using System.Configuration;
using System.Xml;

namespace Harold.Net.Web.Mvc.Extension
{
    [Serializable]
    public class PropertyCollection : ConfigurationElementCollection
    {
        private const string elementName = "property";

        public new PropertySection this[string name]
        {
            get
            {
                return BaseGet(name) as PropertySection;
            }
        }

        public override ConfigurationElementCollectionType CollectionType
        {
            get
            {
                return ConfigurationElementCollectionType.BasicMap;
            }
        }

        protected override string ElementName
        {
            get
            {
                return elementName;
            }
        }

        protected override ConfigurationElement CreateNewElement()
        {
            return new PropertySection();
        }

        protected override object GetElementKey(ConfigurationElement element)
        {
            return ((PropertySection)element).Name;
        }
    }
}
