﻿using System;
using System.Configuration;

namespace Harold.Net.Web.Mvc.Extension
{
    public class ValidationSection : ConfigurationSection
    {
        public const string ModelsTagName = "models";
        public const string ControllersTagName = "controllers";

        [ConfigurationProperty(ModelsTagName, IsDefaultCollection = false)]
        public ModelCollection Models
        {
            get
            {
                ModelCollection obj = base[ModelsTagName] as ModelCollection;
                return obj;
            }
        }

        [ConfigurationProperty(ControllersTagName, IsDefaultCollection = true)]
        public ControllerCollection Controllers
        {
            get
            {
                ControllerCollection obj = base[ControllersTagName] as ControllerCollection;
                return obj;
            }
        }
    }
}
